ST_HasNoBand
Prev | 12.5. Raster Band Accessors | Next

## Name

ST_HasNoBand — Returns true if there is no band with given band number. If no band number is specified, then band number 1 is assumed.

## Synopsis

`boolean ST_HasNoBand(`raster rast, integer bandnum=1`)`;

## Description

Returns true if there is no band with given band number. If no band number is specified, then band number 1 is assumed.

Availability: 2.0.0

## Examples

    SELECT rid, ST_HasNoBand(rast) As hb1, ST_HasNoBand(rast,2) as hb2,
    ST_HasNoBand(rast,4) as hb4, ST_NumBands(rast) As numbands
    FROM dummy_rast;

    rid | hb1 | hb2 | hb4 | numbands
    -----+-----+-----+-----+----------
    1 | t   | t   | t   |        0
    2 | f   | f   | t   |        3

## See Also

ST_NumBands

Prev | Up | Next
ST_MinPossibleValue | Home | ST_PixelAsPolygon